> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Request a presigned upload URL



## OpenAPI

````yaml /openapi/signable-templates.json post /signable-templates/upload-url
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /signable-templates/upload-url:
    post:
      tags:
        - SignableTemplates
      summary: Request a presigned upload URL
      operationId: signableTemplates.requestUpload
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                contentType:
                  const: application/pdf
                filename:
                  type: string
                  minLength: 1
                  maxLength: 255
              required:
                - contentType
                - filename
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  templateId:
                    type: string
                    format: uuid
                  storagePath:
                    type: string
                    minLength: 1
                  upload:
                    type: object
                    properties:
                      url:
                        type: string
                        format: uri
                      expiresAt:
                        type: string
                        format: date-time
                    required:
                      - url
                      - expiresAt
                required:
                  - templateId
                  - storagePath
                  - upload
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````